/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package ChatProgramm.model;

import java.awt.Point;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.logging.Logger;
import java.util.prefs.Preferences;
import ChatProgramm.util.OhmLogger;

/**
 *
 * @author le
 */
public class GrafikModel {

    private Figur aktuelleFigur;
    private ArrayList<Figur> figuren;
    private Preferences pref;
    private static Logger lg = OhmLogger.getLogger();

    public GrafikModel() {
        aktuelleFigur = new Figur();
        figuren = new ArrayList<>();
    }

    public void addPoint(Point p) {
        aktuelleFigur.addPoint(p);
    }

    public void addFigure(Figur figur) {
        figuren.add(figur);
    }

    public List<Point> getPunkte() {
        return aktuelleFigur.getPunkte();
    }

    public List<Figur> getFiguren() {
        return Collections.unmodifiableList(figuren);
    }

    public void endShape() {
        figuren.add(aktuelleFigur);
        aktuelleFigur = new Figur();
    }

}
