/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */

package ChatProgramm.controller.commands;

import ChatProgramm.model.Client;
import ChatProgramm.model.Figur;
import ChatProgramm.model.GrafikModel;
import ChatProgramm.model.Server;
import ChatProgramm.model.TransmitterInterface;
import ChatProgramm.util.OhmLogger;
import ChatProgramm.view.ChatView;
import java.util.logging.Logger;
import javax.swing.JTextField;
import ChatProgramm.view.GrafikView;

/**
 *
 * @author ahren
 */
public class CommandSend implements CommandInterface
{
  private static Logger lg = OhmLogger.getLogger();
  
  private GrafikView view;
  private GrafikModel model;
  
  public TransmitterInterface transmitterInterface;
  public Server server;
  public Client client;


  
    
  public CommandSend(GrafikView view, GrafikModel model)
  {
      this.view = view;
      this.model = model;
      //ToDo: Hier muss auch der gFrame referenziert werden
      //this.eingabeFeld = view.getTfNachricht();
      transmitterInterface = null;
  }

  @Override
  public void execute()
  {
    Figur aktuelleFigur = model.getFiguren().getLast();
    try
    {
        transmitterInterface.send(aktuelleFigur);
        
    }
    catch(Exception NullPointerExeption)
    {
        lg.info("Der Transmitter ist null");
    }
  }


  @Override
  public boolean isUndoable()
  {
    return false;
  }

  @Override
  public void undo()
  {
  }

    void setTransmitter(TransmitterInterface transmitter) {
        lg.info("Transmitter wird gesetzt");
        if(transmitter != null){
            this.transmitterInterface = transmitter;
            
        }
        else{
            lg.info("der transmitter kommt hier als null an");
        }
    }
}
